Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class AbstractMCPropagator

[frames] | no frames]

# Class AbstractMCPropagator

source code

            object --+
                     |
    AbstractPropagator --+
                         |
                        AbstractMCPropagator

Known Subclasses:
  - AbstractNCMCPropagator
  - , HMCPropagator
  - , RWMCPropagator

Provides the interface for MC trajectory generators. Implementations generate a sequence of states according to some implementation of AbstractSingleChainMC.

Nested Classes
Inherited from `AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, pdf, temperature=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

AbstractPropagationResult

generate(self, init_state, length, return_trajectory=True) Generate a trajectory, starting from an initial state with a certain length. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_init_sampler``'``])``

Properties
| acceptance_rate Acceptance rate of the MC sampler that generated the trajectory.
Inherited from `object`: `__class__`

Method Details

### __init__(self, pdf, temperature=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `pdf` (AbstractDensity) - PDF to sample from
  - `temperature` (float) - See documentation of AbstractSingleChainMC
Overrides: object.__init__
  (inherited documentation)

### generate(self, init_state, length, return_trajectory=True)

source code

Generate a trajectory, starting from an initial state with a certain length.

Parameters:
  - `init_state` - Initial state from which to propagate
  - `length` - Length of the trajectory (in integration steps or stochastic moves)
  - `return_trajectory` - Return complete Trajectory instead of the initial and final states only (PropagationResult)
Returns: AbstractPropagationResult
Overrides: AbstractPropagator.generate
  (inherited documentation)

Property Details

### acceptance_rate

Acceptance rate of the MC sampler that generated the trajectory.

Get Method:
  unreachable.acceptance_rate(self) - Acceptance rate of the MC sampler that generated the trajectory.